io.vertx.rxjava.ext.web.handler

## Class DigestAuthHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.DigestAuthHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, AuthHandler

      public class DigestAuthHandler
      extends Object
      implements AuthHandler, Handler<RoutingContext>

  An auth handler that provides HTTP Basic Authentication support.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<DigestAuthHandler>` | `__TYPE_ARG`
    `static long` | `DEFAULT_NONCE_EXPIRE_TIMEOUT` The default nonce expire timeout to use in milliseconds.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DigestAuthHandler(DigestAuthHandler delegate)`
    `DigestAuthHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `AuthHandler` | `addAuthorities(Set<String> authorities)` Add a set of required authorities for this auth handler
    `AuthHandler` | `addAuthority(String authority)` Add a required authority for this auth handler
    `void` | `authorize(User user, Handler<AsyncResult<Void>> handler)` Authorizes the given user against all added authorities.
    `Observable<Void>` | `authorizeObservable(User user)` Deprecated. use `rxAuthorize(io.vertx.rxjava.ext.auth.User)` instead
    `static DigestAuthHandler` | `create(HtdigestAuth authProvider)` Create a digest auth handler
    `static DigestAuthHandler` | `create(HtdigestAuth authProvider, long nonceExpireTimeout)` Create a digest auth handler, specifying the expire timeout for nonces.
    `boolean` | `equals(Object o)`
    `DigestAuthHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static DigestAuthHandler` | `newInstance(DigestAuthHandler arg)`
    `void` | `parseCredentials(RoutingContext context, Handler<AsyncResult<JsonObject>> handler)` Parses the credentials from the request into a JsonObject.
    `Observable<JsonObject>` | `parseCredentialsObservable(RoutingContext context)` Deprecated. use `rxParseCredentials(io.vertx.rxjava.ext.web.RoutingContext)` instead
    `Single<Void>` | `rxAuthorize(User user)` Authorizes the given user against all added authorities.
    `Single<JsonObject>` | `rxParseCredentials(RoutingContext context)` Parses the credentials from the request into a JsonObject.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.AuthHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<DigestAuthHandler> __TYPE_ARG

    - #### DEFAULT_NONCE_EXPIRE_TIMEOUT

          public static final long DEFAULT_NONCE_EXPIRE_TIMEOUT

      The default nonce expire timeout to use in milliseconds.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DigestAuthHandler

          public DigestAuthHandler(DigestAuthHandler delegate)

    - #### DigestAuthHandler

          public DigestAuthHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public DigestAuthHandler getDelegate()

      Specified by:
        `getDelegate` in interface `AuthHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `AuthHandler`
      Parameters:
        `event` - the event to handle

    - #### addAuthority

          public AuthHandler addAuthority(String authority)

      Add a required authority for this auth handler
      Specified by:
        `addAuthority` in interface `AuthHandler`
      Parameters:
        `authority` - the authority
      Returns:
        a reference to this, so the API can be used fluently

    - #### addAuthorities

          public AuthHandler addAuthorities(Set<String> authorities)

      Add a set of required authorities for this auth handler
      Specified by:
        `addAuthorities` in interface `AuthHandler`
      Parameters:
        `authorities` - the set of authorities
      Returns:
        a reference to this, so the API can be used fluently

    - #### parseCredentials

          public void parseCredentials(RoutingContext context,
                                       Handler<AsyncResult<JsonObject>> handler)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Specified by:
        `parseCredentials` in interface `AuthHandler`
      Parameters:
        `context` - the routing context
        `handler` - the handler to be called once the information is available.

    - #### parseCredentialsObservable

          @Deprecated
          public Observable<JsonObject> parseCredentialsObservable(RoutingContext context)

      Deprecated. use `rxParseCredentials(io.vertx.rxjava.ext.web.RoutingContext)` instead
      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
      Returns:

    - #### rxParseCredentials

          public Single<JsonObject> rxParseCredentials(RoutingContext context)

      Parses the credentials from the request into a JsonObject. The implementation should be able to extract the required info for the auth provider in the format the provider expects.
      Parameters:
        `context` - the routing context
      Returns:

    - #### authorize

          public void authorize(User user,
                                Handler<AsyncResult<Void>> handler)

      Authorizes the given user against all added authorities.
      Specified by:
        `authorize` in interface `AuthHandler`
      Parameters:
        `user` - a user.
        `handler` - the handler for the result.

    - #### authorizeObservable

          @Deprecated
          public Observable<Void> authorizeObservable(User user)

      Deprecated. use `rxAuthorize(io.vertx.rxjava.ext.auth.User)` instead
      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
      Returns:

    - #### rxAuthorize

          public Single<Void> rxAuthorize(User user)

      Authorizes the given user against all added authorities.
      Parameters:
        `user` - a user.
      Returns:

    - #### create

          public static DigestAuthHandler create(HtdigestAuth authProvider)

      Create a digest auth handler
      Parameters:
        `authProvider` - the auth provider to use
      Returns:
        the auth handler

    - #### create

          public static DigestAuthHandler create(HtdigestAuth authProvider,
                                                 long nonceExpireTimeout)

      Create a digest auth handler, specifying the expire timeout for nonces.
      Parameters:
        `authProvider` - the auth service to use
        `nonceExpireTimeout` - the nonce expire timeout in milliseconds.
      Returns:
        the auth handler

    - #### newInstance

          public static DigestAuthHandler newInstance(DigestAuthHandler arg)

Copyright © 2020 Eclipse. All rights reserved.